Get environment
GET
/
environments
/
{id}
Get environment
curl --request GET \
--url https://runcrate.ai/api/v1/environments/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://runcrate.ai/api/v1/environments/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://runcrate.ai/api/v1/environments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"name": "<string>",
"is_default": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Use a Runcrate API key with the rc_live_* prefix as the bearer token. Create one at https://www.runcrate.ai/dashboard/api-keys.
Path Parameters
Response
Environment.
Show child attributes
Show child attributes
Previous
Delete environmentThe `main` environment cannot be deleted. Cannot delete an environment that still has active deployments, storage volumes, or API keys.
Next
⌘I
Get environment
